stages:
  - build
  - deploy
build prod:
  image: node:10.15.0-stretch
  stage: build
  # tags:
  #   - my-tag
  #   - another-tag
  script:
    - echo "checking node version*******************************"
    - node --version
    - echo "checking npm version*******************************"
    - npm --version
    - npm install
    # Build App
    - npm run build
  artifacts:
    paths:
      # Build folder
      - ./build
    expire_in: 1 hour
deploy prod:
  image: python:latest
  stage: deploy
  # tags:
  #   - my-tag
  #   - another-tag
  script:
    - aws s3 sync ./build s3://gitlab-bucket12
